
## 创建项目
flutter create -t package idev

## git
 git init .

需要注意，目前3.76版本的flutter，创建项目时git已经忽略了/pubspec.lock
由于我们可能使用单独的
将默认分支由master改为main
git branch -m master main

## 增加example项目
注意名字需要是example,这样发布的时候才包括例子
[参见](https://dart.dev/tools/pub/package-layout#examples)
具体的，在项目目录，执行
flutter create example

## 需要注意，package的平台目录并非完整
app则包括各平台的运行时，实际都不到1m，所以无需去掉。
整个目录约500m，其中470m在build目录，30m左右在.darttools的build目录，均被忽略。

## github上创建私有的idev项目
git add .
git commit -m "create package and example project"
git remote add origin https://github.com/by90/idev.git
git push -u origin main

## 发布到pub
两个问题，首先：
flutter packages pub publish --server=pub.dev
其次，注意完整的输入：
D:\work\idev>set http_proxy=http://127.0.0.1:1080
D:\work\idev>set https_proxy=https://127.0.0.1:1080

flutter packages pub publish --server="https://pub.dev"
这里有两个警告：
https://github.com/by90/idev

注意：命令行要求授权，将其中的链接拷贝到浏览器点击回车,doc文件也不应包括谷歌的授权链接
注意：这里不能用ssr之类的全局代理，否则会转到localhost，只能用win下的clash之类。
但这同样会带来问题，即命令行不能上传，这时再回到ssr这类全局代理

所以暂时还是在mkac下使用clash才行，命令行窗口执行代理命令。

## 注意，由于是发布到官网，复制到国内镜像需要约一小时或更长

在package主页，最初会是：[AWAITING]状态，10分钟后可正常使用
