## 处理全局状态
1. 第一种方式：所有全局状态集中存放，仅刷新监听它的...
这种方式将尽可能简化状态的使用

1. 第一种方式对于异步并不友好。
使用stream或许是更好的方案，即通过部署stream，持续的监听状态。
future实际上是可以忽略的，它只能处理单一的状态变迁，即未完成、完成...

所以就状态而言
1. 一个全局的provider,可命名为istore
1. 增加一个状态 Istore.create
1. 监听状态 Istore.listen
1. 删除状态 Istore.remove
1. 获取状态的值 Istroe.get
1. 变更状态的值 Istore.dispatch
1. stream形式的状态 Istore.createStream
1. stream为空，并在使用中赋值，这样的WithStream或UseStream组件 Istore.useStream(initWithNull:false)
这是状态处理的基础框架。
事实上无论路由、数据库框架，均可基于此，以衔接业务和ui。

## IRoute
1. 首先，使用istore
1. 需要处理的场景：框架的二级路由
1. 不同条件，路由到不同的页面
1. 对话框形式得到结果
1. 保持url的前进后退
1. 全局框架，当前是否在工作状态：比如此时的底部导航按钮不可用。

## 状态持久化问题：
1. 考虑使用纯dart方案
1. 通过box处理列表
1. 尽量适应不同平台
1. web考虑使用服务端rest方式
1. 